import Vue from 'vue'
import VueRouter from 'vue-router'


Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'fuzeren',
    component: () => import('../views/Fuzeren/FuzerenView.vue')
  },
  //首页
  {
    path: '/index',
    name: 'index',
    component: () => import('../views/userindex/indexpage/UserIndex.vue'),
    meta: {
      hideNav: true
    }
  },
  // 文章页
  {
    path: '/textpage',
    name: 'textpage',
    component: () => import('../views/userindex/indexpage/ArticleIndex.vue'),

  },
  // 我的
  {
    path: '/myindex',
    name: 'myindex',
    component: () => import('../views/userindex/my/MyIndex.vue'),
    meta: {
      hideNav: true
    }
  },
  // 我的转发
  {
    path: '/myforward',
    name: 'myforward',
    component: () => import('../views/userindex/my/MyForward.vue')
  },
  //跳转空页面获取code
  {
    path: '/GetMyId',
    name: 'GetMyId',
    component: () => import('../views/Fuzeren/GetMyId.vue')
  },
  //GetUserIndex 页面获取code
  {
    path: '/GetUserIndex',
    name: 'GetUserIndex',
    component: () => import('../views/userindex/indexpage/GetUserIndexMyid.vue')
  },
  // 我的转发详情
  {
    path: '/myforwarddetail',
    name: 'myforwarddetail',
    component: () => import('../views/userindex/my/MyForwarddetail.vue')
  },
]
const router = new VueRouter({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes
})

export default router
